# .bashrc

# User specific aliases and functions

alias rm='rm -i'
alias cp='cp -i'
alias mv='mv -i'

# Source global definitions
if [ -f /etc/bashrc ]; then
	. /etc/bashrc
fi

# make sure that ssh agent is running and connect to it
[ -f /root/.ssh/agent ] && source /root/.ssh/agent > /dev/null
if ! kill -0 "${SSH_AGENT_PID}" > /dev/null 2>&1 ; then
    ssh-agent -s > /root/.ssh/agent
    source /root/.ssh/agent > /dev/null
fi
